IntegralEngine Class Reference
Pricing engines » Vanilla option engines

Pricing engine for European vanilla options using integral approach. More...

`#include <ql/pricingengines/vanilla/integralengine.hpp>`

Inherits engine.

## Public Member Functions

| IntegralEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const

## Detailed Description

Pricing engine for European vanilla options using integral approach.

Examples:
  EquityOption.cpp.